/*************************************************************************/
/* File:        filter.v
 * Author:      Carl Ebeling
 *
 * Description: Filter.
 * Revsions:
 *   1.0        Initial design - 12/7/2009 - Carl Ebeling
 **************************************************************************/
`timescale 1ns/1ns

module filter
  (input clk,
   input enable,
   input newFrame,
   input pixelValidIn,
   input [7:0] lineAddrIn,
   input [8:0] colAddrIn,
   input [7:0] pixelRedIn,
   input [7:0] pixelGreenIn,
   input [7:0] pixelBlueIn,
   output pixelValidOut,
   output [7:0] lineAddrOut,
   output [8:0] colAddrOut,
   output [7:0] pixelRedOut,
   output [7:0] pixelGreenOut,
   output [7:0] pixelBlueOut
  );

  // temporary assignments to allow compilation
  assign pixelValidOut = pixelValidIn;
  assign lineAddrOut = lineAddrIn;
  assign colAddrOut = colAddrIn;
  
endmodule
